<?php
namespace Misuzu\DatabaseMigrations\NukeOldWipForumComponents;

use PDO;

function migrate_up(PDO $conn): void {
    $conn->exec('ALTER TABLE `msz_forum_topics` DROP COLUMN `poll_id`, DROP INDEX `posts_poll_id_foreign`, DROP FOREIGN KEY `posts_poll_id_foreign`;');
    $conn->exec('DROP TABLE msz_forum_polls_answers;');
    $conn->exec('DROP TABLE msz_forum_polls_options;');
    $conn->exec('DROP TABLE msz_forum_polls;');
    $conn->exec('DROP TABLE msz_forum_topics_priority;');
}
